diff options
| author | Chris Larson <kergoth@openedhand.com> | 2006-08-28 20:33:14 +0000 |
|---|---|---|
| committer | Chris Larson <kergoth@openedhand.com> | 2006-08-28 20:33:14 +0000 |
| commit | 01056cdbea9ebe38b589f74120f5fab39452bbf0 (patch) | |
| tree | 1f438e17df983097879bfb31898b250e939505c6 /meta/packages/quilt/quilt-0.45/non-gnu.patch | |
| parent | f927cf6903ea9bf737ad0f1bd819899c8eb928d3 (diff) | |
| download | poky-01056cdbea9ebe38b589f74120f5fab39452bbf0.tar.gz | |
quilt updates from upstream oe.
git-svn-id: https://svn.o-hand.com/repos/poky/trunk@669 311d38ba-8fff-0310-9ca6-ca027cbcb966
Diffstat (limited to 'meta/packages/quilt/quilt-0.45/non-gnu.patch')
| -rw-r--r-- | meta/packages/quilt/quilt-0.45/non-gnu.patch | 223 |
1 files changed, 223 insertions, 0 deletions
diff --git a/meta/packages/quilt/quilt-0.45/non-gnu.patch b/meta/packages/quilt/quilt-0.45/non-gnu.patch new file mode 100644 index 0000000000..c1cbfb3983 --- /dev/null +++ b/meta/packages/quilt/quilt-0.45/non-gnu.patch | |||
| @@ -0,0 +1,223 @@ | |||
| 1 | Patch is from the Fink projetc (http://fink.sf.net) | ||
| 2 | |||
| 3 | diff -r 7b51c215fc54 Makefile.in | ||
| 4 | --- a/Makefile.in Sat Mar 4 17:16:21 2006 -0800 | ||
| 5 | +++ b/Makefile.in Sat Mar 4 17:59:09 2006 -0800 | ||
| 6 | @@ -256,7 +256,7 @@ bin/guards.1 : bin/guards | ||
| 7 | -e 's:@VERSION''@:$(VERSION):g' \ | ||
| 8 | -e 's:@RELEASE''@:$(RELEASE):g' \ | ||
| 9 | -e 's:@LOCALEDIR''@:$(localedir):g' \ | ||
| 10 | - -e 's:@DOCSUBDIR''@:$(docdir)/$(PACKAGE)-$(VERSION):g' \ | ||
| 11 | + -e 's:@DOCSUBDIR''@:$(docdir)/$(PACKAGE):g' \ | ||
| 12 | $< > $@ | ||
| 13 | @$(if $(filter-out $<,$(NON_EXEC_IN)),chmod +x $@) | ||
| 14 | |||
| 15 | @@ -320,11 +320,11 @@ endif | ||
| 16 | $(INSTALL) -d $(BUILD_ROOT)$(libdir)/$(PACKAGE) | ||
| 17 | $(INSTALL) -m 755 $(LIB:%=lib/%) $(BUILD_ROOT)$(libdir)/$(PACKAGE)/ | ||
| 18 | |||
| 19 | - $(INSTALL) -d $(BUILD_ROOT)$(docdir)/$(PACKAGE)-$(VERSION)/ | ||
| 20 | + $(INSTALL) -d $(BUILD_ROOT)$(docdir)/$(PACKAGE)/ | ||
| 21 | $(INSTALL) -m 644 doc/README \ | ||
| 22 | - $(BUILD_ROOT)$(docdir)/$(PACKAGE)-$(VERSION)/ | ||
| 23 | + $(BUILD_ROOT)$(docdir)/$(PACKAGE)/ | ||
| 24 | $(INSTALL) -m 644 doc/quilt.pdf doc/README.MAIL \ | ||
| 25 | - $(BUILD_ROOT)$(docdir)/$(PACKAGE)-$(VERSION)/ | ||
| 26 | + $(BUILD_ROOT)$(docdir)/$(PACKAGE)/ | ||
| 27 | |||
| 28 | $(INSTALL) -d $(BUILD_ROOT)$(mandir)/man1 | ||
| 29 | $(INSTALL) -m 644 $(MAN1) $(BUILD_ROOT)$(mandir)/man1/ | ||
| 30 | @@ -367,7 +367,7 @@ uninstall :: | ||
| 31 | $(notdir $(MAN1))) \ | ||
| 32 | $(BUILD_ROOT)$(etcdir)/bash_completion.d/quilt \ | ||
| 33 | $(BUILD_ROOT)$(etcdir)/quilt.quiltrc \ | ||
| 34 | - $(BUILD_ROOT)$(docdir)/$(PACKAGE)-$(VERSION)/ | ||
| 35 | + $(BUILD_ROOT)$(docdir)/$(PACKAGE)/ | ||
| 36 | |||
| 37 | check: $(TESTS:test/%.test=test/.%.ok) | ||
| 38 | check-all: $(TESTS:test/%.test=check-%) | ||
| 39 | diff -r 7b51c215fc54 configure | ||
| 40 | --- a/configure Sat Mar 4 17:16:21 2006 -0800 | ||
| 41 | +++ b/configure Sat Mar 4 17:59:09 2006 -0800 | ||
| 42 | @@ -3882,29 +3882,6 @@ echo "$as_me: error: Please specify the | ||
| 43 | fi | ||
| 44 | |||
| 45 | |||
| 46 | -echo "$as_me:$LINENO: checking whether $CP -l works" >&5 | ||
| 47 | -echo $ECHO_N "checking whether $CP -l works... $ECHO_C" >&6 | ||
| 48 | -touch conftest.1 | ||
| 49 | -if $CP -l conftest.1 conftest.2 2>/dev/null; then | ||
| 50 | - echo "$as_me:$LINENO: result: yes" >&5 | ||
| 51 | -echo "${ECHO_T}yes" >&6 | ||
| 52 | -else | ||
| 53 | - { { echo "$as_me:$LINENO: error: no | ||
| 54 | - | ||
| 55 | -You appear to have a \`cp' that does not support hard links. | ||
| 56 | -You can download GNU fileutils from ftp.gnu.org | ||
| 57 | -" >&5 | ||
| 58 | -echo "$as_me: error: no | ||
| 59 | - | ||
| 60 | -You appear to have a \`cp' that does not support hard links. | ||
| 61 | -You can download GNU fileutils from ftp.gnu.org | ||
| 62 | -" >&2;} | ||
| 63 | - { (exit 1); exit 1; }; } | ||
| 64 | -fi | ||
| 65 | - | ||
| 66 | - | ||
| 67 | - | ||
| 68 | - | ||
| 69 | |||
| 70 | # Check whether --with-date or --without-date was given. | ||
| 71 | if test "${with_date+set}" = set; then | ||
| 72 | @@ -3999,32 +3976,6 @@ echo "$as_me: WARNING: Using internal da | ||
| 73 | INTERNAL_DATE=1 | ||
| 74 | |||
| 75 | fi | ||
| 76 | - | ||
| 77 | - | ||
| 78 | - | ||
| 79 | -if test -z "$INTERNAL_DATE"; then | ||
| 80 | - echo "$as_me:$LINENO: checking whether $DATE --rfc-822 works" >&5 | ||
| 81 | -echo $ECHO_N "checking whether $DATE --rfc-822 works... $ECHO_C" >&6 | ||
| 82 | - if $DATE --rfc-822 >/dev/null 2>/dev/null; then | ||
| 83 | - echo "$as_me:$LINENO: result: yes" >&5 | ||
| 84 | -echo "${ECHO_T}yes" >&6 | ||
| 85 | - else | ||
| 86 | - { { echo "$as_me:$LINENO: error: no | ||
| 87 | - | ||
| 88 | -If you don't have a version of \`date' that supports --rfc-822, you | ||
| 89 | -can specify '--without-date' and $PACKAGE_NAME will use its own | ||
| 90 | -internal date. | ||
| 91 | -" >&5 | ||
| 92 | -echo "$as_me: error: no | ||
| 93 | - | ||
| 94 | -If you don't have a version of \`date' that supports --rfc-822, you | ||
| 95 | -can specify '--without-date' and $PACKAGE_NAME will use its own | ||
| 96 | -internal date. | ||
| 97 | -" >&2;} | ||
| 98 | - { (exit 1); exit 1; }; } | ||
| 99 | - fi | ||
| 100 | -fi | ||
| 101 | - | ||
| 102 | |||
| 103 | |||
| 104 | |||
| 105 | diff -r 7b51c215fc54 quilt/diff.in | ||
| 106 | --- a/quilt/diff.in Sat Mar 4 17:16:21 2006 -0800 | ||
| 107 | +++ b/quilt/diff.in Sat Mar 4 17:59:09 2006 -0800 | ||
| 108 | @@ -303,7 +303,7 @@ then | ||
| 109 | |||
| 110 | if [ ${#files[@]} -gt 0 ] \ | ||
| 111 | && ! ( cd $QUILT_PC/$last_patch && | ||
| 112 | - cp -l --parents "${files[@]}" $workdir/ ) | ||
| 113 | + mycpl $workdir/ "${files[@]}" ) | ||
| 114 | then | ||
| 115 | printf $"Failed to copy files to temporary directory\n" >&2 | ||
| 116 | die 1 | ||
| 117 | diff -r 7b51c215fc54 quilt/mail.in | ||
| 118 | --- a/quilt/mail.in Sat Mar 4 17:16:21 2006 -0800 | ||
| 119 | +++ b/quilt/mail.in Sat Mar 4 17:59:09 2006 -0800 | ||
| 120 | @@ -64,7 +64,7 @@ with a template for the introduction. Pl | ||
| 121 | |||
| 122 | msgid() | ||
| 123 | { | ||
| 124 | - local timestamp=$(date --utc "+%Y%m%d%H%M%S.%N") | ||
| 125 | + local timestamp=$(date -u "+%Y%m%d%H%M%S.000000000") | ||
| 126 | echo "$timestamp@${opt_sender#*@}" | ||
| 127 | } | ||
| 128 | |||
| 129 | @@ -334,7 +334,7 @@ introduction="$(gen_tempfile)" | ||
| 130 | cat <<-EOF | ||
| 131 | Message-Id: <$(msgid)> | ||
| 132 | User-Agent: quilt/@VERSION@-@RELEASE@ | ||
| 133 | - Date: $(date --rfc-822) | ||
| 134 | + Date: $(date '+%a, %d %b %Y %H:%M:%S %z') | ||
| 135 | From: ${opt_from:-$opt_sender} | ||
| 136 | To: $(IFS=,; echo "${opt_to[*]}") | ||
| 137 | Cc: $(IFS=,; echo "${opt_cc[*]}") | ||
| 138 | @@ -401,7 +401,11 @@ fi | ||
| 139 | # increment the timestamp by one second and wait with sending until | ||
| 140 | # that time has arrived. This allows MUAs to show the messages in the | ||
| 141 | # correct order. | ||
| 142 | -last_ts=$(date '+%s' -d "$(sed -ne $'s/^Date:[ \t]*//p' $introduction)") | ||
| 143 | +#last_ts=$(date '+%s' -d "$(sed -ne $'s/^Date:[ \t]*//p' $introduction)") | ||
| 144 | +# fink has no date available that does -d, so we fudge with the time now. | ||
| 145 | +# If the user edits the date field in the message patch 0 could end up | ||
| 146 | +# out of order wrt the actual patches. just a minor cosmetic nit. | ||
| 147 | +last_ts=$(date '+%s') | ||
| 148 | |||
| 149 | num=1 | ||
| 150 | for patch in "${patches[@]}"; do | ||
| 151 | @@ -412,7 +416,7 @@ for patch in "${patches[@]}"; do | ||
| 152 | # sleep 1 | ||
| 153 | #done | ||
| 154 | ((last_ts++)) | ||
| 155 | - new_date="$(date --rfc-822 -d "1970/01/01 UTC $last_ts seconds")" | ||
| 156 | + new_date="$(date -r $last_ts '+%a, %d %b %Y %H:%M:%S %z')" | ||
| 157 | |||
| 158 | modify="$(awk ' | ||
| 159 | sub(/^Recipient-/, "") { r = $0 | ||
| 160 | diff -r 7b51c215fc54 quilt/pop.in | ||
| 161 | --- a/quilt/pop.in Sat Mar 4 17:16:21 2006 -0800 | ||
| 162 | +++ b/quilt/pop.in Sat Mar 4 17:59:09 2006 -0800 | ||
| 163 | @@ -93,7 +93,7 @@ check_for_pending_changes() | ||
| 164 | if [ -d $QUILT_PC/$patch ] | ||
| 165 | then | ||
| 166 | if ! rmdir $workdir || # note that this is racey... | ||
| 167 | - ! cp -rl $QUILT_PC/$patch $workdir | ||
| 168 | + ! (for i in "$(find "$QUILT_PC/$patch" -type f)"; do mycpl $workdir $i; done) | ||
| 169 | then | ||
| 170 | printf $"Failed to copy files to temporary directory\n" >&2 | ||
| 171 | rm -rf $workdir | ||
| 172 | diff -r 7b51c215fc54 quilt/scripts/patchfns.in | ||
| 173 | --- a/quilt/scripts/patchfns.in Sat Mar 4 17:16:21 2006 -0800 | ||
| 174 | +++ b/quilt/scripts/patchfns.in Sat Mar 4 17:59:09 2006 -0800 | ||
| 175 | @@ -45,6 +45,28 @@ fi | ||
| 176 | fi | ||
| 177 | |||
| 178 | # ======================================================== | ||
| 179 | + | ||
| 180 | +dater() | ||
| 181 | +{ | ||
| 182 | + ts=$(perl -e '@st = stat($ARGV[0]); print $st[9];' "$1") | ||
| 183 | + fmt=$(date -r $ts "$2") | ||
| 184 | + | ||
| 185 | + echo $fmt | ||
| 186 | +} | ||
| 187 | + | ||
| 188 | +mycpl () | ||
| 189 | +{ | ||
| 190 | + target=$1 | ||
| 191 | + shift; | ||
| 192 | + | ||
| 193 | + for src in "$@" | ||
| 194 | + do | ||
| 195 | + srcdir="${src%/*}" | ||
| 196 | + test -n "$srcdir" && mkdir -p "$target/$srcdir" | ||
| 197 | + ln $src "$target/$src" | ||
| 198 | + done | ||
| 199 | +} | ||
| 200 | + | ||
| 201 | |||
| 202 | #declare -a exit_handlers | ||
| 203 | # | ||
| 204 | @@ -669,8 +691,7 @@ diff_file() | ||
| 205 | || old_date=$'\t'"1970-01-01 00:00:00.000000000 +0000" | ||
| 206 | else | ||
| 207 | [ -n "$QUILT_NO_DIFF_TIMESTAMPS" ] \ | ||
| 208 | - || old_date=$'\t'$(date +'%Y-%m-%d %H:%M:%S.%N %z' \ | ||
| 209 | - -r "$old_file") | ||
| 210 | + || old_date=$'\t'$(dater "$old_file" +'%Y-%m-%d %H:%M:%S.000000000 %z') | ||
| 211 | fi | ||
| 212 | if ! [ -s "$new_file" ] | ||
| 213 | then | ||
| 214 | @@ -682,8 +703,7 @@ diff_file() | ||
| 215 | || new_date=$'\t'"1970-01-01 00:00:00.000000000 +0000" | ||
| 216 | else | ||
| 217 | [ -n "$QUILT_NO_DIFF_TIMESTAMPS" ] \ | ||
| 218 | - || new_date=$'\t'$(date +'%Y-%m-%d %H:%M:%S.%N %z' \ | ||
| 219 | - -r "$new_file") | ||
| 220 | + || new_date=$'\t'$(dater "$new_file" +'%Y-%m-%d %H:%M:%S.000000000 %z') | ||
| 221 | fi | ||
| 222 | |||
| 223 | diff $QUILT_DIFF_OPTS $old_file $new_file \ | ||
